package tutorialJava.examenes.examen20241025;

public class EjB_ComprobarSiSumaPotencias3 {

	public static void main(String[] args) {
		int num = 30;
		int sumaPotencias3 = 0;
		int ultimoExponenteValido = 0;
		
		for (int i = 1; i < 8; i++) {
			sumaPotencias3 += Math.pow(3, i);
			if (sumaPotencias3 == num) {
				ultimoExponenteValido = i;
//				System.out.println("El " + num + " es suma de potencias de 3");
				break;
			}
		}
		
		if (ultimoExponenteValido == 0) {
			System.out.println("No se puede obtener el " + num + " como suma de potencias de 3");
		}
		else { // Sí se puede expresar como suma de potencias de 3
			for (int i = 1; i <= ultimoExponenteValido; i++) {
				System.out.print("3^" + i);
				if (i < ultimoExponenteValido) {
					System.out.print(" + ");
				}
			}
			System.out.println(" = " + num);
		}

	}

}







